import { Client, Account, AppwriteException, Avatars, Databases, Functions, Graphql, ID, Locale, Permission, Query, Role, Storage, Teams } from "appwrite";
export type AppwriteConfig = {
    endpoint: string;
    project: string;
};
export type Appwrite = {
    config: AppwriteConfig;
    client: Client;
    account: Account;
    avatars: Avatars;
    database: Databases;
    functions: Functions;
    graphql: Graphql;
    locale: Locale;
    storage: Storage;
    teams: Teams;
    Permission: typeof Permission;
    Query: typeof Query;
    Role: typeof Role;
    AppwriteException: typeof AppwriteException;
    ID: typeof ID;
};
declare const _default: any;
export default _default;
declare module "#app" {
    interface NuxtApp {
        $appwrite: Appwrite;
    }
}
declare module "@vue/runtime-core" {
    interface ComponentCustomProperties {
        $appwrite: Appwrite;
    }
}
